<template>
  <div class="intro-copy">
    <base-scroll-animation
      :type="'fade'"
      :duration="1250"
      :delay="1000"
      :once="true"
    >
      <template v-slot:animate>
        <p class="font-bold">
          AUSTIN MAPLES IS A TATTOO ARTIST LIVING IN LOS ANGELES, CALIFORNIA.
        </p>
      </template>
    </base-scroll-animation>
    <base-scroll-animation
      :type="'fade'"
      :duration="1250"
      :delay="1250"
      :once="true"
    >
      <template v-slot:animate>
        <p class="font-bold">
          HE CURRENTLY RUNS
          <a
            :href="'//' + 'enjoytattoosla.com/'"
            target="_blank"
            class="site-link has-circle hover:pink font-bold"
          >
            ENJOY TATTOOS
          </a>
        </p>
      </template>
    </base-scroll-animation>
  </div>
</template>

<script>
export default {};
</script>
<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables";
.intro {
  &-copy {
    font-size: 2.375rem;
    line-height: 0.88;
    letter-spacing: -0.7px;
    padding: 0;
    // padding: 1rem 0 0 1rem;
    align-self: flex-end;

    @media all and (min-width: 375px) {
      padding: 1rem 0;
    }
    @media all and (min-width: 414px) {
      // font-size: 3rem;
      font-size: 2.95rem;
    }

    @media all and (min-width: 1024px) {
      align-self: center;
      font-size: 4.1rem;
    }
    @media all and (min-width: $intro-midbreak) {
      align-self: flex-end;
      max-width: 42.75rem;
      font-size: 5rem;
      padding: 0;
    }
    @media all and (min-width: 1920px) {
      max-width: initial;
      font-size: 6.6rem;
    }

    p {
      &:last-child {
        padding-top: 2rem;
        @media all and (min-width: $intro-midbreak) {
          padding-top: 5rem;
        }
      }
    }
  }
}
</style>
